| Home | Libraries | People | FAQ | More

###### connection::async_close_statement (2 of 2 overloads)

Closes a statement, deallocating it from the server.

###### Synopsis

    template<
        class CompletionToken>
    auto
    async_close_statement(
        const statement& stmt,
        diagnostics& diag,
        CompletionToken&& token);

###### Description

After this operation succeeds, `stmt` must not be used again for execution.

###### Preconditions

`stmt.valid() == true`

###### Object lifetimes

It is not required to keep `stmt` alive, as copies are made by the implementation as required.

###### Handler signature

The handler signature for this operation is `void(boost::mysql::error_code)`.